Package ru.bitel.bgbilling.modules.alfabank.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.alfabank.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCardholderName()`
  `String`
  `getPan()`
  `Transaction`
  `setAutopayment(boolean autopayment)`
  `Transaction`
  `setContractId(int contractId)`
  `Transaction`
  `setContractTitle(String contractTitle)`
  `Transaction`
  `setCreateDate(Date createDate)`
  `Transaction`
  `setId(int id)`
  Устанавливает id объекта
  `Transaction`
  `setParameters(String parameters)`
  `Transaction`
  `setPaymentId(int paymentId)`
  `Transaction`
  `setStatus(String status)`
  `Transaction`
  `setSum(BigDecimal transactionSum)`
  `Transaction`
  `setTransactionDate(Date transactionDate)`
  `Transaction`
  `setTransactionId(String transactionId)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getContractComment, getContractId, getContractTitle, getCreateDate, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setContractComment, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getCardholderName

    public String getCardholderName()
    Overrides:
      `getCardholderName` in class `BGAbstractTransaction`

  - ### getPan

    public String getPan()
    Overrides:
      `getPan` in class `BGAbstractTransaction`

  - ### setAutopayment

    public Transaction setAutopayment(boolean autopayment)
    Overrides:
      `setAutopayment` in class `BGAbstractTransaction`

  - ### setContractTitle

    public Transaction setContractTitle(String contractTitle)
    Overrides:
      `setContractTitle` in class `BGAbstractTransaction`

  - ### setCreateDate

    public Transaction setCreateDate(Date createDate)
    Overrides:
      `setCreateDate` in class `BGAbstractTransaction`

  - ### setId

    public Transaction setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`
    Parameters:
      `id` - id

  - ### setParameters

    public Transaction setParameters(String parameters)
    Overrides:
      `setParameters` in class `BGAbstractTransaction`

  - ### setPaymentId

    public Transaction setPaymentId(int paymentId)
    Overrides:
      `setPaymentId` in class `BGAbstractTransaction`

  - ### setStatus

    public Transaction setStatus(String status)
    Overrides:
      `setStatus` in class `BGAbstractTransaction`

  - ### setSum

    public Transaction setSum(BigDecimal transactionSum)
    Overrides:
      `setSum` in class `BGAbstractTransaction`

  - ### setTransactionDate

    public Transaction setTransactionDate(Date transactionDate)
    Overrides:
      `setTransactionDate` in class `BGAbstractTransaction`

  - ### setTransactionId

    public Transaction setTransactionId(String transactionId)
    Overrides:
      `setTransactionId` in class `BGAbstractTransaction`

  - ### setContractId

    public Transaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `BGAbstractTransaction`